#!/bin/bash


DVS="/usr/local/dvs/"
AB="opt/Analog_Bridge/"
MB="/opt/MMDVM_Bridge/"


OPTION=$(whiptail --title " Advanced Config. " --menu "\
\n
" 13 38 5 \
1 "Configure ini. files" \
2 "Configure Favorite TG/Ref" \
3 "Adhoc Menu & Macro" \
4 "Additional DMR Networks" \
5 "Back to MAIN MENU" 3>&1 1>&2 2>&3)

if [ $? != 0 ]; then
	${DVS}dvs; exit 0
fi

case $OPTION in
1)
sudo ${DVS}config_ini.sh ;;
2)
sudo ${DVS}tg_db.sh ;;
3)
sudo ${DVS}adhoc_check.sh ;;
4)
sudo ${DVS}adnl_dmr.sh ;;
5)
${DVS}dvs; exit 0
esac

clear

exit 0

