#!/bin/bash


DVS="/usr/local/dvs/"
AB="opt/Analog_Bridge/"
MB="/opt/MMDVM_Bridge/"


OPTION=$(whiptail --title " Initial Config. " --menu "\
\n
" 11 38 3 \
1 "Initial Config." \
2 "Raspberry Pi Config. Tool" \
3 "Back to MAIN MENU" 3>&1 1>&2 2>&3)

if [ $? != 0 ]; then
	${DVS}dvs; exit 0
fi

case $OPTION in
1)
${DVS}init_config.sh ;;
2)
sudo raspi-config ;;
3)
${DVS}dvs; exit 0
esac

clear

exit 0

