#!/bin/bash
#
#####################################
# Update Binary Files
# Mar. 29. 2020
# HL5KY
#####################################
DVS="/usr/local/dvs/"
#####################################

if (whiptail --title " Update Binary Files " --yesno\
    ".                                             \
     .                                             \
     . This work can be done every couple of months \
     .                                             \
     .            <ENTER> to continue              \
                                                   " 12 50); then
       echo "=== Confirmed ==="
    else
       ${DVS}./dvs; exit 0
fi

clear
echo
echo
echo "===================================="
echo "     Update Binary Files"
echo
echo "     QRX for a second......"
echo
echo "      ---------------------     "
echo
echo
echo
echo
echo
sleep 1

sudo systemctl stop mmdvm_bridge
sudo systemctl stop analog_bridge
sudo /usr/local/sbin/./update-from-github.sh

sudo service quantar_bridge restart
sudo service mmdvm_bridge restart
sudo service analog_bridge restart

echo
echo
echo
echo
echo
echo "      ---------------------     "
echo
echo "         Update Finished"
echo
echo "      DVSwitch was restarted"
echo
echo
echo "     <ENTER> to the Main Menu"
echo "===================================="
echo
echo
read x

${DVS}dvs; exit 0

exit 0
